Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class SimpleClassMetaDataLoader

    java.lang.Object
      org.jboss.aop.metadata.SimpleClassMetaDataLoader

All Implemented Interfaces:
  ClassMetaDataLoader

Direct Known Subclasses:
  DynamicSimpleClassMetadataLoader

public class SimpleClassMetaDataLoader
extends Object
implements ClassMetaDataLoader

Version:
  $Revision: 1.13 $
Author:
  Bill Burke
See Also:

Field Summary
`static SimpleClassMetaDataLoader` | `singleton`

Constructor Summary
`SimpleClassMetaDataLoader()`

Method Summary
`void` | `bind(Advisor advisor, ClassMetaDataBinding data, javassist.CtMethod[] methods, javassist.CtField[] fields, javassist.CtConstructor[] constructors)` This is a prebind of metadata so that loader/compiler can work with metadata as strings
`void` | `bind(Advisor advisor, ClassMetaDataBinding data, Method[] methods, Field[] fields, Constructor[] constructors)` This is a full bind of metadata.
`protected void` | `bindConstructorMetaData(SimpleClassMetaDataBinding data, ConstructorMetaData conMetaData, Constructor[] advisedCons)`
`protected void` | `bindConstructorMetaData(SimpleClassMetaDataBinding data, ConstructorMetaData conMetaData, javassist.CtConstructor[] advisedCons)`
`protected void` | `bindFieldMetaData(SimpleClassMetaDataBinding data, FieldMetaData fieldMetaData, javassist.CtField[] advisedFields)`
`protected void` | `bindFieldMetaData(SimpleClassMetaDataBinding data, FieldMetaData fieldMetaData, Field[] advisedFields)`
`protected void` | `bindMethodMetaData(Advisor advisor, SimpleClassMetaDataBinding data, MethodMetaData methodMetaData, Method[] advisedMethods)`
`protected void` | `bindMethodMetaData(SimpleClassMetaDataBinding data, MethodMetaData methodMetaData, javassist.CtMethod[] advisedMethods)`
`ClassMetaDataBinding` | `importMetaData(Element element, String name, String tag, String classExpr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static final SimpleClassMetaDataLoader singleton

Constructor Detail

### SimpleClassMetaDataLoader

    public SimpleClassMetaDataLoader()

Method Detail

### importMetaData

    public ClassMetaDataBinding importMetaData(Element element,
                                               String name,
                                               String tag,
                                               String classExpr)
                                        throws Exception

  Specified by:
    `importMetaData` in interface `ClassMetaDataLoader`
  Throws:
    `Exception`

### bind

    public void bind(Advisor advisor,
                     ClassMetaDataBinding data,
                     Method[] methods,
                     Field[] fields,
                     Constructor[] constructors)
              throws Exception

  Description copied from interface: `ClassMetaDataLoader`
  This is a full bind of metadata. It can work with real objects unlike the bind with Javassist types

  Specified by:
    `bind` in interface `ClassMetaDataLoader`
  Parameters:
    `advisor` -
    `data` -
    `methods` -
    `fields` -
    `constructors` -
  Throws:
    `Exception`

### bindMethodMetaData

    protected void bindMethodMetaData(Advisor advisor,
                                      SimpleClassMetaDataBinding data,
                                      MethodMetaData methodMetaData,
                                      Method[] advisedMethods)

### bindFieldMetaData

    protected void bindFieldMetaData(SimpleClassMetaDataBinding data,
                                     FieldMetaData fieldMetaData,
                                     Field[] advisedFields)

### bindConstructorMetaData

    protected void bindConstructorMetaData(SimpleClassMetaDataBinding data,
                                           ConstructorMetaData conMetaData,
                                           Constructor[] advisedCons)

### bind

    public void bind(Advisor advisor,
                     ClassMetaDataBinding data,
                     javassist.CtMethod[] methods,
                     javassist.CtField[] fields,
                     javassist.CtConstructor[] constructors)
              throws Exception

  Description copied from interface: `ClassMetaDataLoader`
  This is a prebind of metadata so that loader/compiler can work with metadata as strings

  Specified by:
    `bind` in interface `ClassMetaDataLoader`
  Parameters:
    `advisor` -
    `data` -
    `methods` -
    `fields` -
    `constructors` -
  Throws:
    `Exception`

### bindMethodMetaData

    protected void bindMethodMetaData(SimpleClassMetaDataBinding data,
                                      MethodMetaData methodMetaData,
                                      javassist.CtMethod[] advisedMethods)
                               throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### bindFieldMetaData

    protected void bindFieldMetaData(SimpleClassMetaDataBinding data,
                                     FieldMetaData fieldMetaData,
                                     javassist.CtField[] advisedFields)

### bindConstructorMetaData

    protected void bindConstructorMetaData(SimpleClassMetaDataBinding data,
                                           ConstructorMetaData conMetaData,
                                           javassist.CtConstructor[] advisedCons)
                                    throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.